Skip to end of metadata
Go to start of metadata

The JobScheduler requires an Oracle Java Runtime Environment (JRE) 32-Bit at least version 1.6.x.

For AIX you can use the IBM Java 32-Bit at least version 1.6.x, too.

You can install the 32Bit Java in parallel to a 64Bit version.

If you start the JobScheduler, it is looking for the Java Virtual Machine, which is normally in ...

  • ... %JAVA_HOME%\bin\client\jvm.dll for Windows.
  • ... ${JAVA_HOME}/lib/i386/client/libjvm.so for Linux.

If the JVM is not found or is not from above Java environment then you get the error:

In this case you must edit the JAVA_HOME variable for the JobScheduler in the ./bin/jobscheduler_environment_variables.(cmd|sh) file.

For Linux:

For example

If necessary, the LD_LIBRARY_PATH must be adjusted too in the ./bin/jobscheduler_environment_variables.sh file.

For Windows:

If necessary, add the location of the Java Virtual Machine to the JobScheduler configuration file .\config\sos.ini like this:

For Red Hat:

Look into the ./config/logs/scheduler.log. If you find an identically line

then you must edit the "Security-Enhanced Linux" settings (see http://fedoraproject.org/wiki/SELinux).